### Function

# GdkPixbuf Pixbuf get_file_info

since: 2.4

#### Declaration [src]

    GdkPixbufFormat*
    gdk_pixbuf_get_file_info (
      const gchar* filename,
      gint* width,
      gint* height
    )

#### Description [src]

Parses an image file far enough to determine its format and size.

Available since: 2.4

#### Parameters

`filename`

  Type: `const gchar*`

  The name of the file to identify.

  The data is owned by the caller of the function.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`width`

  Type: `gint*`

  Return location for the width of the image.

  The argument will be set by the function.
  The argument can be `NULL`.

`height`

  Type: `gint*`

  Return location for the height of the image.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `GdkPixbufFormat`

A `GdkPixbufFormat` describing the image format of the file.

The data is owned by the called function.
The return value can be `NULL`.